; 27x4 Display
; 2x HD44780 Controller 4bit Mode

; D4-7			PC0-3
; RS			PB1
; R/W			PB2
; EN1			PC4
; EN2			PC5

; Ringbuffer

.equ LCD_START_ADRESS	= 0x0060
.equ LCD_END_ADRESS		= LCD_START_ADRESS + ( LCD_LINES * LCD_CHARACTERS )

; Befehlskonstanten

.equ LCD_CLEAR_DISPLAY	= 0x01
.equ LCD_RETURN_HOME 	= 0x02
.equ FUNCTION_SET		= 0x28
.equ DISPLAY_SHIFT		= 0x14
.equ ENTRY_MODE_SET		= 0x06
.equ DISPLAY_CONTROL	= 0x0C

.equ FIRST_LINE			= 0x00
.equ SECOND_LINE		= 0x40

.equ LCD_SET_ADRESS		= 0x80

; Portkonfiguration

.equ LcdPort			= PORTC
.equ LcdPin				= PINC
.equ LcdDir				= DDRC

.equ LcdCtrlPort		= PORTB
.equ LcdCtrlPin			= PINB
.equ LcdCtrlDir			= DDRB

.equ LcdRS				= PB1
.equ LcdRW				= PB2
.equ LcdEN1				= PC4
.equ LcdEN2				= PC5
.equ LcdD4				= PC0
.equ LcdD5				= PC1
.equ LcdD6				= PC2
.equ LcdD7				= PC3